
package de.frankmuenster.mahoe.banks.bsh.json.deserializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.ObjectCodec;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.JsonNode;

import de.frankmuenster.mahoe.banks.bsh.json.Status;

/**
 * Deserializer fr den Status der JSON-Antworten der BSH
 *
 * @author Frank Mnster/Quirin Huber
 */
public class StatusDeserializer extends JsonDeserializer<Status> {

    /**
     * Standardkonstruktor
     */
    public StatusDeserializer() {
	super();
    }

    /**
     * @see com.fasterxml.jackson.databind.JsonDeserializer#deserialize(com.fasterxml.jackson.core.JsonParser,
     *      com.fasterxml.jackson.databind.DeserializationContext)
     */
    @Override
    public Status deserialize(final JsonParser jsonParser, final DeserializationContext context) throws IOException {

	final ObjectCodec objectCodec = jsonParser.getCodec();
	final JsonNode jsonNode = objectCodec.readTree(jsonParser);
	final String textValue = jsonNode.asText();
	return Status.resolve(textValue);
    }
}
