/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.gui.utils;

import org.eclipse.swt.widgets.TabFolder;

import de.frankmuenster.mahoe.gui.controller.SettingsController;
import de.frankmuenster.mahoe.gui.controller.TargoBankSettingsController;
import de.frankmuenster.mahoe.gui.parts.TargoBankSettingsPart;
import de.willuhn.jameica.gui.util.TabGroup;

/**
 * @author Frank Mnster
 */
public class TargoBankSettingsTabGroup extends AbstractSettingsTabGroup
        implements SettingsTabGroup<SettingsController> {

    /**
     * Creates a new Settings tab for the TargoBank
     *
     * @param tabFolder
     *            der SWT TabFolder in dem der Tab erstellt werden soll.
     */
    public TargoBankSettingsTabGroup(final TabFolder tabFolder) {
        super(new TargoBankSettingsController());
        final TabGroup tabGroup = new TabGroup(tabFolder, "Targo Bank"); //$NON-NLS-1$
        tabGroup.addPart(new TargoBankSettingsPart((TargoBankSettingsController) this.control));
    }
}
